Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena.parser
Class ProtegeOWLParser

    java.lang.Object
      edu.stanford.smi.protegex.owl.jena.parser.ProtegeOWLParser

    public class ProtegeOWLParser

extends Object

An OWL parser that reads an OWL stream triple-by-triple and writes the corresponding Protege-OWL Triples into one or more TripleStores. The current implementation uses the Jena ARP parser for triple loading.

Author:
  Holger Knublauch , Matthew Horridge

Nested Class Summary
`static interface` | `ProtegeOWLParser.ARPInvokation` An interface needed as an abstraction of the various methods to invoke the Jena ARP (the various load methods with different parameters).

Field Summary
`static String` | `CREATE_UNTYPED_RESOURCES`
`static String` | `JENA_ERROR_LEVEL_PROPERTY`
`static String` | `PRINT_LOAD_TRIPLES_LOG`
`static String` | `PRINT_LOAD_TRIPLES_LOG_INCREMENT`

Constructor Summary
`ProtegeOWLParser(OWLModel owlModel)`

Method Summary
`protected com.hp.hpl.jena.rdf.arp.ARP` | `createARP(TripleStore tripleStore)`
`static void` | `doFinalPostProcessing(OWLModel owlModel)`
`static InputStream` | `getInputStream(URL url)`
`static Collection<edu.stanford.smi.protege.util.MessageError>` | `getParserErrors(OWLModel owlModel)`
`boolean` | `isMergingImportMode()`
`void` | `loadTriples(String ontologyLocation, URI xmlBase, InputStream is)` Loading triples
`void` | `run(InputStream is, String xmlBase)` This method loads an ontology from the specified input stream using the specified base uri.
`void` | `run(Reader reader, String xmlBase)` This method loads an ontology using the specified Reader and using the specified base uri.
`void` | `run(URI uri)` This method loads an ontology pointed to by the specified URI.
`void` | `setErrorLevel(com.hp.hpl.jena.rdf.arp.ARP arp)`
`void` | `setImporting(boolean importing)` Imports
`void` | `setMergingImportMode(boolean isMergingImport)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JENA_ERROR_LEVEL_PROPERTY

    public static final String JENA_ERROR_LEVEL_PROPERTY

See Also:
  Constant Field Values

### CREATE_UNTYPED_RESOURCES

    public static final String CREATE_UNTYPED_RESOURCES

See Also:
  Constant Field Values

### PRINT_LOAD_TRIPLES_LOG

    public static final String PRINT_LOAD_TRIPLES_LOG

See Also:
  Constant Field Values

### PRINT_LOAD_TRIPLES_LOG_INCREMENT

    public static final String PRINT_LOAD_TRIPLES_LOG_INCREMENT

See Also:
  Constant Field Values

Constructor Detail

### ProtegeOWLParser

    public ProtegeOWLParser(OWLModel owlModel)

Method Detail

### createARP

    protected com.hp.hpl.jena.rdf.arp.ARP createARP(TripleStore tripleStore)

### setErrorLevel

    public void setErrorLevel(com.hp.hpl.jena.rdf.arp.ARP arp)

### run

    public void run(URI uri)
             throws edu.stanford.smi.protege.exception.OntologyLoadException

  This method loads an ontology pointed to by the specified URI.

  Parameters:
    `uri` - The `URI` that points to the ontology.
  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### run

    public void run(InputStream is,
                    String xmlBase)
             throws edu.stanford.smi.protege.exception.OntologyLoadException

  This method loads an ontology from the specified input stream using the specified base uri.

  Parameters:
    `is` -
    `xmlBase` - The XML base to use when loading the ontology. This is typically the URI from where the ontology was loaded.
  Throws:
    `Exception`
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### run

    public void run(Reader reader,
                    String xmlBase)
             throws edu.stanford.smi.protege.exception.OntologyLoadException

  This method loads an ontology using the specified Reader and using the specified base uri. Note that the preferred method of loading an ontology is to use the run method that takes an `InputStream` as a parameter rather than a `Reader`.

  Parameters:
    `reader` - The reader used to read the ontology
    `xmlBase` - The XML base to use when loading the ontology. This is typically the URI from where the ontology was loaded.
  Throws:
    `Exception`
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### loadTriples

    public void loadTriples(String ontologyLocation,
                            URI xmlBase,
                            InputStream is)
                     throws edu.stanford.smi.protege.exception.OntologyLoadException

  Loading triples

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### doFinalPostProcessing

    public static void doFinalPostProcessing(OWLModel owlModel)
                                      throws edu.stanford.smi.protege.exception.OntologyLoadException

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### setImporting

    public void setImporting(boolean importing)

  Imports

### getParserErrors

    public static Collection<edu.stanford.smi.protege.util.MessageError> getParserErrors(OWLModel owlModel)

### getInputStream

    public static InputStream getInputStream(URL url)
                                      throws edu.stanford.smi.protege.exception.OntologyLoadException

  Throws:
    `edu.stanford.smi.protege.exception.OntologyLoadException`

### isMergingImportMode

    public boolean isMergingImportMode()

### setMergingImportMode

    public void setMergingImportMode(boolean isMergingImport)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.